Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class NamingContextEnumeration

    java.lang.Object
      org.apache.naming.NamingContextEnumeration

All Implemented Interfaces:
  Enumeration<NameClassPair>, NamingEnumeration<NameClassPair>

    public class NamingContextEnumeration

extends Object
implements NamingEnumeration<NameClassPair>

Naming enumeration implementation.

Version:
  $Id: NamingContextEnumeration.java 1078850 2011-03-07 16:46:45Z markt $
Author:
  Remy Maucherat

Field Summary
`protected Iterator<NamingEntry>` | `iterator` Underlying enumeration.

Constructor Summary
`NamingContextEnumeration(Iterator<NamingEntry> entries)`

Method Summary
`void` | `close()` Closes this enumeration.
`boolean` | `hasMore()` Determines whether there are any more elements in the enumeration.
`boolean` | `hasMoreElements()`
`NameClassPair` | `next()` Retrieves the next element in the enumeration.
`NameClassPair` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected Iterator<NamingEntry> iterator

  Underlying enumeration.

Constructor Detail

### NamingContextEnumeration

    public NamingContextEnumeration(Iterator<NamingEntry> entries)

Method Detail

### next

    public NameClassPair next()
                       throws NamingException

  Retrieves the next element in the enumeration.

  Specified by:
    `next` in interface `NamingEnumeration<NameClassPair>`
  Throws:
    `NamingException`

### hasMore

    public boolean hasMore()
                    throws NamingException

  Determines whether there are any more elements in the enumeration.

  Specified by:
    `hasMore` in interface `NamingEnumeration<NameClassPair>`
  Throws:
    `NamingException`

### close

    public void close()
               throws NamingException

  Closes this enumeration.

  Specified by:
    `close` in interface `NamingEnumeration<NameClassPair>`
  Throws:
    `NamingException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration<NameClassPair>`

### nextElement

    public NameClassPair nextElement()

  Specified by:
    `nextElement` in interface `Enumeration<NameClassPair>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.